%global momorel 5
Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: nfs-utils
Version: 1.0.3
Release: %{momorel}m
URL: http://sourceforge.net/projects/nfs/
# Source0: ftp://nfs.sourceforge.net/pub/nfs/%{name}-%{version}.tar.gz
Source0: http://telia.dl.sourceforge.net/sourceforge/nfs/%{name}-%{version}.tar.gz
Source1: ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.gz
Source10: nfs.init
Source11: nfslock.init
# Patch0: nfs-utils.glibc222.time.patch
Patch10: nfsstat-overflow.patch
Group: System Environment/Daemons
Obsoletes: nfs-server
Obsoletes: knfsd
Obsoletes: knfsd-clients
Obsoletes: nfs-server-clients 
Obsoletes: knfsd-lock
Provides: nfs-server 
Provides: nfs-server-clients 
# Provides: knfsd-lock 
Provides: knfsd-clients 
Provides: knfsd
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kernel >= 2.4.0, portmap >= 4.0, quota >= 3.0.1
NoSource: 0

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -q -a 1 
# %patch0 -p1 
%patch10 -p1
%build
%configure --enable-nfsv3
make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{/sbin,/usr/sbin}
mkdir -p %{buildroot}%{_mandir}/{man1,man5,man8,man9}
mkdir -p %{buildroot}%{_initscriptdir}
make install install_prefix=%{buildroot} \
	SBINDIR=%{buildroot}/usr/sbin \
	MAN1DIR=%{buildroot}%{_mandir}/man1 \
	MAN5DIR=%{buildroot}%{_mandir}/man5 \
	MAN8DIR=%{buildroot}%{_mandir}/man8 \
	MAN9DIR=%{buildroot}%{_mandir}/man9
install -s -m 755 tools/rpcdebug/rpcdebug %{buildroot}/sbin
install -m 755 %{SOURCE10} %{buildroot}%{_initscriptdir}/nfs
install -m 755 %{SOURCE11} %{buildroot}%{_initscriptdir}/nfslock
touch %{buildroot}/var/lib/nfs/rmtab
mv %{buildroot}/usr/sbin/{rpc.lockd,rpc.statd} %{buildroot}/sbin
rm -f %{buildroot}/usr/share/man/man8/rquotad.8*
rm -f %{buildroot}/usr/sbin/rpc.rquotad

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -c "RPC Service User" -r \
        -s /sbin/nologin -u 29 -d /var/lib/nfs rpcuser 2>/dev/null || :
# If UID 65534 is unassigned, create user "nfsnobody"
cat /etc/passwd | cut -d':' -f 3 | grep --quiet 65534 2>/dev/null
if [ "$?" -eq 1 ]; then
        /usr/sbin/useradd -c "Anonymous NFS User" -r \
                -s /sbin/nologin -u 65534 -d /var/lib/nfs nfsnobody 2>/dev/null || :
fi

%post
/sbin/chkconfig --add nfs
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
    /usr/sbin/userdel rpcuser 2>/dev/null || :
    /usr/sbin/groupdel rpcuser 2>/dev/null || :
    /usr/sbin/userdel nfsnobody 2>/dev/null || :
fi

%triggerpostun -- nfs-server
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd-clients
/sbin/chkconfig --add nfslock

%files
%defattr(-,root,root)
%config %{_initscriptdir}/nfs
%config %{_initscriptdir}/nfslock
%dir /var/lib/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%doc nfs/*.html nfs/*.ps linux-nfs/*
/sbin/rpcdebug
/sbin/rpc.lockd
/sbin/rpc.statd
/usr/sbin/rpc.mountd
/usr/sbin/nhfsgraph
/usr/sbin/nhfsstone
/usr/sbin/rpc.nfsd
/usr/sbin/nfsstat
/usr/sbin/nhfsrun
/usr/sbin/showmount
/usr/sbin/nhfsnums
/usr/sbin/exportfs
%{_mandir}/man?/*

%changelog
* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-5m)
- add uid/gid

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-4m)
- revised spec. rpc.rquotad belongs quota package.

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-3m)
- revised spec for rpm 4.2.

* Wed Jul 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.3-2m)
- add nfsstat-overflow.patch

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.3-1m)
  update to 1.0.3

* Wed Oct 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.3-8k)
- modify rpc.statd location to /sbin on init script

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (0.3.3-6k)
- require quota 3.0.1
- move rpc.statd to /sbin.

* Fri Oct 12 2001 Toru Hoshina <t@kondara.org>
- (0.3.3-4k)
- revised nfslock.init to use /usr/sbin/rpc.statd instead of /sbin...

* Sat Sep 29 2001 Toru Hoshina <t@kondara.org>
- (0.3.3-2k)
- nfs.statd...

* Fri Apr 13 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.1-2k)
- backport from Jirai

* Fri Apr 13 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.3.1-3k)
- upgrade to 0.3.1
- change source URL and URL: tag.
- remove rpc.statd, rpc.lockd (kernels >= 2.2.18+ have automatic NFS lock)
- enable NFSv3

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.1-9k)
- rebuild against glibc-2.2.2 and add nfs-utils.glibc222.time.patch

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.1-7k)
- rebuild againt rpm-3.0.5-39k

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Sun Nov 19 2000 AYUHANA Tomonori <l@kondara.org>
- (0.2.1-1k)
- upgrade 0.1.9.1-3k to 0.2.1-1k
- remove Distribution
- obey FHS

* Wed Jul 19 2000 AYUHANA Tomonori <l@kondara.org>
- (0.1.9.1-1k)
- ported from RedHat-6.2 Updates
- Be a NoSrc :-P
- rebuild against glibc-2.1.91, X-4.0, rpm-3.0.5
- SPEC fixed ( Distribution, BuildRoot, URL, Source )
- use %configure
- add SBINDIR and MAN*DIR at make install

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- 0.1.9.1
- remove patch0, has been integrated upstream

* Wed Feb  9 2000 Bill Nottingham <notting@redhat.com>
- the wonderful thing about triggers, is triggers are wonderful things...

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- switch to nfs-utils as the base tree
- fix the statfs patch for the new code base
- single package that obsoletes everything we had before (if I am to keep
  some traces of my sanity with me...)

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- use statfs syscall instead of stat to determinal optimal blksize
